Subject: [PATCH v3 3/6] pinctrl: Make PINCTRL selectable by defconfig/menuconfig

From: [email-masked] (Sherman Yin)
Date: Fri, 20 Dec 2013 18:15:25 -0800

On 13-12-20 12:58 PM, Arnd Bergmann wrote:
> On Friday 20 December 2013, Linus Walleij wrote:
>> On Tue, Dec 17, 2013 at 1:18 AM, Bjorn Andersson
>> <[email-masked]> wrote:
>>
>>> No matter how we build the individual pinctrl drivers we will always
>>> need the pinctrl framework in a multi-soc zImage; so I can't see that
>>> we gain anything from being able to compile PINCTRL as a module.
>>
>> I discussed this matter with Christian on IRC and I believe we could
>> basically do "select PINCTRL" on ARCH_MULTIPLATFORM as the
>> vast majority of multiplatforms appear to be using this anyway, this
>> would make the submenu for pin control pop up in menuconfig
>> for this, and make it possible to move different subdrivers to modules
>> if desired.
>>
>> MULTIPLATFORM does not seem to be about saving footprint bytes
>> on a very fine-granular level anyway, more about doing the module
>> loading/unloading approach to footprint.
>
> Let's review the list of platforms that don't select PINCTRL. There
> are some platforms that are indeed sensitive about memory footprint,
> and I promised people that converting to multiplatform won't cause
> a significant increase in kernel binary size as long as no other
> platforms are enabled.
>
> 	Arnd
>

Ok, for this driver, I'll just select PINCTRL under the ARCH_BCM_MOBILE. 
  We can move this to ARCH_MULTIPLATFORM once we're sure this is okay 
for other platforms.

Regards,
Sherman